HOSTGRAPHS.CGI(1)

NAME
hostgraphs.cgi - CGI program to show multiple graphs

SYNOPSIS
hostgraph.cgi

DESCRIPTION
hostgraph.cgi is invoked as a CGI script via the hostgraph.sh CGI wrapper. If no parameters are provided when invoked, it will present a form where the user can select a time period, one or more hosts, and a set of graphs. The parameters selected by the user are passed to a second invocation of hostgraph.cgi, and result in a webpage showing a list of graph images based on the trend data stored about the hosts. If multiple graph-types are selected, hostgraph.cgi will display a list of graphs, with one graph per type. If multiple hosts are selected, hostgraph.cgi will attempt to display a multi-host graph for each type where the graphs for all hosts are overlayed in a single image, allowing for easy comparison of the hosts. The hostlist uses the PAGEPATH cookie provided by Xymon webpages to select the list of hosts to present. Only the hosts visible on the page where hostgraph.cgi is invoked from will be visible. The resulting graph page can be bookmarked, but the bookmark also fixates the time period shown.

OPTIONS

--env=FILENAME
    Loads the environment defined in FILENAME before executing the CGI script.

BUGS
This utility is experimental. It may change in a future release of Xymon. It is possible for the user to select graphs which do not exist. This results in broken image links. The set of graph-types is fixed in the server/web/hostgraphs_form template and does not adjust to which graphs are available. If the tool is invoked directly, all hosts defined in Xymon will be listed.

SEE ALSO
hosts.cfg(5), xymonserver.cfg(5)